<!doctype html>
<html>
  <head>
    <meta charset="utf-8">
    <meta content="IE=edge,chrome=1" http-equiv="X-UA-Compatible">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
	<title>KIRIMDOKU API Documentation</title>
    <style>
      .highlight table td { padding: 5px; }
.highlight table pre { margin: 0; }
.highlight .gh {
  color: #999999;
}
.highlight .sr {
  color: #f6aa11;
}
.highlight .go {
  color: #888888;
}
.highlight .gp {
  color: #555555;
}
.highlight .gs {
}
.highlight .gu {
  color: #aaaaaa;
}
.highlight .nb {
  color: #f6aa11;
}
.highlight .cm {
  color: #75715e;
}
.highlight .cp {
  color: #75715e;
}
.highlight .c1 {
  color: #75715e;
}
.highlight .cs {
  color: #75715e;
}
.highlight .c, .highlight .cd {
  color: #75715e;
}
.highlight .err {
  color: #960050;
}
.highlight .gr {
  color: #960050;
}
.highlight .gt {
  color: #960050;
}
.highlight .gd {
  color: #49483e;
}
.highlight .gi {
  color: #49483e;
}
.highlight .ge {
  color: #49483e;
}
.highlight .kc {
  color: #66d9ef;
}
.highlight .kd {
  color: #66d9ef;
}
.highlight .kr {
  color: #66d9ef;
}
.highlight .no {
  color: #66d9ef;
}
.highlight .kt {
  color: #66d9ef;
}
.highlight .mf {
  color: #ae81ff;
}
.highlight .mh {
  color: #ae81ff;
}
.highlight .il {
  color: #ae81ff;
}
.highlight .mi {
  color: #ae81ff;
}
.highlight .mo {
  color: #ae81ff;
}
.highlight .m, .highlight .mb, .highlight .mx {
  color: #ae81ff;
}
.highlight .sc {
  color: #ae81ff;
}
.highlight .se {
  color: #ae81ff;
}
.highlight .ss {
  color: #ae81ff;
}
.highlight .sd {
  color: #e6db74;
}
.highlight .s2 {
  color: #e6db74;
}
.highlight .sb {
  color: #e6db74;
}
.highlight .sh {
  color: #e6db74;
}
.highlight .si {
  color: #e6db74;
}
.highlight .sx {
  color: #e6db74;
}
.highlight .s1 {
  color: #e6db74;
}
.highlight .s {
  color: #e6db74;
}
.highlight .na {
  color: #a6e22e;
}
.highlight .nc {
  color: #a6e22e;
}
.highlight .nd {
  color: #a6e22e;
}
.highlight .ne {
  color: #a6e22e;
}
.highlight .nf {
  color: #a6e22e;
}
.highlight .vc {
  color: #ffffff;
}
.highlight .nn {
  color: #ffffff;
}
.highlight .nl {
  color: #ffffff;
}
.highlight .ni {
  color: #ffffff;
}
.highlight .bp {
  color: #ffffff;
}
.highlight .vg {
  color: #ffffff;
}
.highlight .vi {
  color: #ffffff;
}
.highlight .nv {
  color: #ffffff;
}
.highlight .w {
  color: #ffffff;
}
.highlight {
  color: #ffffff;
}
.highlight .n, .highlight .py, .highlight .nx {
  color: #ffffff;
}
.highlight .ow {
  color: #f92672;
}
.highlight .nt {
  color: #f92672;
}
.highlight .k, .highlight .kv {
  color: #f92672;
}
.highlight .kn {
  color: #f92672;
}
.highlight .kp {
  color: #f92672;
}
.highlight .o {
  color: #f92672;
}
body {
    background-color:#333;
}
    </style>
    <link href="stylesheets/screen.css" rel="stylesheet" media="screen" />
    <link href="stylesheets/print.css" rel="stylesheet" media="print" />
    <link href="stylesheets/monokai.css" rel="stylesheet" media="monokai" />
      <script src="javascripts/all.js"></script>
  </head>

  <body class="index" data-languages="[&quot;javascript&quot;,&quot;php&quot;,&quot;xml&quot;]">
    <a href="#" id="nav-button">
		<span>
		NAV
		<img src="images/navbar.png" alt="Navbar">
		</span>
	</a>
	<div class="toc-wrapper">
			<img src="https://www.doku.com/theme/doku/images/material/logo.png" class="logo" alt="Logodoku">
		<div class="lang-selector">
              <a href="#" data-language-name="javascript">Javascript</a>
              <a href="#" data-language-name="php">PHP</a>
              <a href="#" data-language-name="xml">XML</a>
        </div>
		<div class="search">
			<input type="text" class="search" id="input-search" placeholder="Search">
		</div>
		<ul class="search-results"></ul>
		<div id="toc" class="toc-list-h1">
          <li>
            <a href="#introduction" class="toc-h1 toc-link" data-title="Introduction">Introduction</a>
          </li>

		<li>
            <a href="#getting-started" class="toc-h1 toc-link" data-title="Getting Started">Getting Started</a>
			<ul class="toc-list-h2">
				<li>
          		<a href="#flow-process" class="toc-h2 toc-link" data-title="Getting Started">Flow Process</a>
                </li>
                  <li>
                    <a href="#doku-ip-address-url" class="toc-h2 toc-link" data-title="Getting Started">KIRIMDOKU IP Address / URL</a>
                  </li>
                  <li>
                    <a href="#shared-key-hash-value" class="toc-h2 toc-link" data-title="Getting Started">Shared Key Hash Value</a>
                  </li>
              </ul>
        </li>
          <li>
            <a href="#kirimdoku-api" class="toc-h1 toc-link" data-title="Kirimdoku API">Kirimdoku API</a>
			<ul class="toc-list-h2">
                  <li>
                    <a href="#ping" class="toc-h2 toc-link" data-title="Kirimdoku API">PING</a>
                  </li>
                  <li>
                    <a href="#check-balance" class="toc-h2 toc-link" data-title="Kirimdoku API">Check Balance</a>
                  </li>
                  <li>
                    <a href="#inquiry" class="toc-h2 toc-link" data-title="Kirimdoku API">Inquiry</a>
                  </li>
                  <li>
                    <a href="#remit" class="toc-h2 toc-link" data-title="Kirimdoku API">Remit</a>
                  </li>
					<li>
                    <a href="#transaction-info" class="toc-h2 toc-link" data-title="Kirimdoku API">Transaction Info</a>
                  </li>
                  <li>
                    <a href="#refund-notification" class="toc-h2 toc-link" data-title="Kirimdoku API">Refund Notification</a>
                  </li>
            </ul>
        </li>
			<li>
            	<a href="#api-response" class="toc-h1 toc-link" data-title="API Response">API Response</a>
         		<ul class="toc-list-h2">
                  <li>
                    <a href="#status-code" class="toc-h2 toc-link" data-title="Response Status">Response Status</a>
                  </li>
                  <li>
                    <a href="#status-transaction" class="toc-h2 toc-link" data-title="Response Status">Transaction Status</a>
                  </li>
              	</ul>
            </li>
              	<li>
            		<a href="#list-supported-bank" class="toc-h1 toc-link" data-title="List Supported Bank">List Supported Bank</a>
         		 </li>

          <li>
            <a href="#version" class="toc-h1 toc-link" data-title="Version">Version</a>
              <ul class="toc-list-h2">
                  <li>
                    <a href="#document-version-2-0" class="toc-h2 toc-link" data-title="Version">Document version 2.0</a>
                  </li>
              </ul>
          </li>
				
      </div>
        <ul class="toc-footer">
            <li><a href="https://www.doku.com/">Powered by DOKU</a></li>
        </ul>
    </div>

	<div class="page-wrapper">
		<div class="dark-box"></div>
		<div class="content">

			<h1 id='introduction'>Introduction</h1>
<p>KIRIMDOKU API supports three methods of transfer processing – namely, Bank Transfer, Wallet Transfer, Cash-to-Cash Transfer. See below for features of each service:</p>
			
	<ol>
		<li><p>Bank Transfer : 
		Bank transfer service where transfer destination goes to beneficiary bank account. With this service, partner is required to validate bank account through inquiry.</p></li>
		<li><p>DOKU Wallet Transfer : 
		Wallet transfer service where transfer destination goes to beneficiary DOKU wallet. With this service, partner is required to validate wallet account through inquiry.</p></li>
		<li><p>Cash-to-Cash Transfer : 
		Cash-to-Cash transfer service where sender will send cash and beneficiary will receive cash. With this service, receiver must input the same OTP as sender transaction.</p></li>
	</ol>

	<h1 id='getting-started'>Getting Started</h1>
<ol>
<li>To integrate, partner should have agentKey. Please prepare minimum 3 email credentials to be registered on KIRIMDOKU system. Main function of these 3 email adresses are:
<ul>
<li>Main Agent: To supervise all transaction and gain access to API Documentation.</li>
<li>Supervisors: To supervise all transaction and operators account and can perform batch upload transfer.</li>
<li>Operator: To perform all transaction and see insight report from transaction.</li>
</ul>
</li>
<li>Prepare some URL Callback for testing and production environment.</li>
</ol>

<h2 id='flow-process'>Flow Process</h2>
<p>Below are flow process of certain activities for system communication between KIRIMDOKU and partner that can be used in order to perform certain action.</p>

<p><img alt="" src="images/flow-process.png"></p>

<h2 id='doku-ip-address-url'>KIRIMDOKU IP Address / URL</h2>
<p>KIRIMDOKU has only 2 IP public that can be detected when DOKU call to your application (Identify & Notify). So to make those applications process ONLY from DOKU is by using DOKU IP Address. Although, High Anonymous Proxy or IP Masking/Hide/Change tools on most current network application can still penetrate this feature, this will reduce most of injection false information to the applications to create genuine transactions.</p>

<p>Below are the URL of KIRIMDOKU API:</p>

<p><em>Staging URL</em> <code>https://staging.doku.com/apikirimdoku</code></p>
<p><em>Production URL</em> <code>https://www.kirimdoku.com/v2/api</code></p>

<h2 id='shared-key-hash-value'>Shared Key Hash Value</h2>
<p>To secure the communication, DOKU implements SharedKey Hash Value - an additional parameter from Merchant or DOKU, called SIGNATURE. This parameter value is hashed using AES hash method with combination of SharedKey. The hashed SIGNATURE generated by partner will be validated with hashed WORDS generated by DOKU System and vice versa. If match, then it will be considered genuine request or response.</p>

<p>You can access KIRIMDOKU API by using these keys:</p>
			<ul>
				<li><code>AgentKey      : A41418</code></li>
				<li><code>encryptionKey : 627054fevj1sutvs</code></li>
			</ul>

<p>Below is sample code to generate signature:</p>

<blockquote>
				<p>Sample Encryption Method in JAVA</p>
			</blockquote>
			<pre class="highlight JSON"><code>
	<span class="hljs-attr"> private static final String ALGORITHM = "AES"; </span><br>
	<span class="hljs-attr"> public static String encrypt(String valueToEnc, String encKey) throws Exception {</span>
		<span class="hljs-attr">Key key = new SecretKeySpec(encKey.getBytes(), ALGORITHM);</span>
		<span class="hljs-attr">Cipher c = Cipher.getInstance(ALGORITHM);</span>
		<span class="hljs-attr">c.init(Cipher.ENCRYPT_MODE, key);</span>
		<span class="hljs-attr">byte[] encValue = c.doFinal(valueToEnc.getBytes());</span>
		<span class="hljs-attr">return new String(Base64.encodeBase64(encValue));</span>
	}
	
	<span class="hljs-attr"> public static void main(String[] args) throws Exception { </span>
		<span class="hljs-attr">String concatenatedString = "A41418" + "e8a32355-e202-4bc7-8ae7-ad4e7316bbcb";</span>
		<span class="hljs-attr">String encryptionKey = "627054fevj1sutvs";</span>
		<span class="hljs-attr">String correctSignature = encrypt(concatenatedString, encryptionKey);</span>
		<span class="hljs-attr">System.out.println(correctSignature);</span>
	}
			
</code>
</pre>

	<h3>Step - 1</h3>
	<p>Combine your agentKey and requestId to generate a raw string as an example:</p>
	<p><code>String	concatenatedString = "A41418" + "e8a32355-e202-4bc7-8ae7-ad4e7316bbcb"</code></p>
	<p>concatednatedString will result in "A41418e8a32355-e202-4bc7-8ae7-ad4e7316bbcb"</p>
	
	<h3>Step - 2</h3>
	<p>Use concatenated string above to generate encrypted content bytes using AES algorithm with the defined key 16 char key --given by KIRIMDOKU system-- An example of java implementation:</p>
	<p><code>
	<span class="hljs-attr">  private static final String ALGORITHM = "AES"; </span><br>
	<span class="hljs-attr">  public static String encrypt(String valueToEnc, String encKey) throws Exception {</span><br>
	<span class="hljs-attr" style="margin-left: 24px;"> Key key = new SecretKeySpec(encKey.getBytes(), ALGORITHM);</span><br>
	<span class="hljs-attr" style="margin-left: 24px;"> Cipher c = Cipher.getInstance(ALGORITHM);</span><br>
	<span class="hljs-attr" style="margin-left: 24px;"> c.init(Cipher.ENCRYPT_MODE, key);</span><br>
	<span class="hljs-attr" style="margin-left: 24px;"> byte[] encValue = c.doFinal(valueToEnc.getBytes());</span><br>
	<span class="hljs-attr" style="margin-left: 24px;"> return new String(Base64.encodeBase64(encValue));</span><br>
	</code>
</p>

	<h3>Step - 3</h3>
	<p>Use the encrypted content bytes above to generate the signature, simply do Base64 encode to the bytes value. An example of java implementation:</p>
			<p>
				<code>
				<span class="hljs-attr">String concatenatedString = "A41418" + "e8a32355-e202-4bc7-8ae7-ad4e7316bbcb";</span><br>
				<span class="hljs-attr">String encryptionKey = "627054fevj1sutvs";</span><br>
				<span class="hljs-attr">String correctSignature = encrypt(concatenatedString, encryptionKey);</span>
			</code>
			</p>
			
<h1 id='kirimdoku-api'>KIRIMDOKU API</h1>
<p>This API reference is organized by transfer service team in DOKU. Any changes or updates will be notified by authorized personnel from DOKU to partner.

\
	<h2 id='ping'>PING</h2>
		<table>
			<thead>
				<tr>
					<th>Endpoint</th>
					<th>Method</th>
					<th>Definition</th>
				</tr>
			</thead>
				<tbody>
					<tr>
						<td>/ping</td>
						<td>HTTP POST</td>
						<td><p>Check connection availibility to API KIRIMDOKU</p></td>
					</tr>
				</tbody>
			</table>

<blockquote>
<p>Request Example</p>
</blockquote>

<pre class="highlight JSON"><code>
	<span class="hljs-attr"> POST /apikirimdoku/ping HTTP/1.1</span>
	<span class="hljs-attr"> Host : https://staging.doku.com/apikirimdoku/ping</span>
	<span class="hljs-attr"><code> Content-Type: application/json</code></span>
	<span class="hljs-attr"><code> { "agentKey":"A41418",</code></span>
	<span class="hljs-attr"><code> "requestId":"e8a32355-e202-4bc7-8ae7-ad4e7316bbcb",</code>
	<span class="hljs-attr"><code> "signature":"HL8PGPqGBaTOgdbZio9r1oJqT7GgNpwPU6<br>vKZxHAmQBSEiCYuClafD2AzsNtvPP0"}</code></span>
</code></pre>
<br>
			<h3 id="card-object">REQUEST HEADER</h3>
			<table>
				<thead>
					<tr>
						<th>Field Name</th>
						<th>Content Type</th>
						<th>Mandatory / Not</th>
						<th>Description</th>
						<th>Example</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>Content-Type</td>
						<td>String</td>
						<td>Mandatory</td>
						<td>The Content-Type field indicates that JSON type is
							acceptable to send to the recipient</td>
						<td>application/json</td>
					</tr>
				</tbody>
			</table>

<blockquote>
<p>Sample response that was succeed</p>
</blockquote>

<pre class="highlight JSON"><code><p>{
<span class="hljs-attr">"status"</span>: <span class="hljs-string">0</span>,
<span class="hljs-attr">"message"</span>: <span class="hljs-string">"Ok"</span>
}</p>
</code></pre>

<blockquote>
<p>Sample response that was failed</p>
</blockquote>
			
<pre class="highlight JSON"><code><p>{
<span class="hljs-attr">"status"</span>: <span class="hljs-string">9</span>,
<span class="hljs-attr">"message"</span>: <span class="hljs-string">"Unathorized access"</span>
}</p>
</code></pre>
<br>
			<h3 id="card-object2">REQUEST BODY</h3>
			<table>
				<thead>
					<tr>
						<th>Field Name</th>
						<th>Content Type</th>
						<th>Description</th>
						<th>Example</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>agentKey</td>
						<td>Character</td>
						<td>Hash key of authorization agent</td>
						<td>"A41418"</td>
						<td></td>
					</tr>
					<tr>
						<td>requestId</td>
						<td>Character</td>
						<td>Unique reference identification send by API caller</td>
						<td>"e8a32355-e202-4bc7-8ae7-ad4e7316bbcb"</td>
						<td></td>
					</tr>
					<tr>
						<td>signature</td>
						<td>ENC</td>
						<td>Uniquely authorisation code generated by caller</td>
						<td><p>"HL8PGPqGBaTOgdbZio9r1oJqT7GgNpwPU6v<br>KZxHAmQBSEiCYuClafD2AzsNtvPP0"</p></td>
						<td></td>
					</tr>
				</tbody>
			</table>


<h2 id="check-balance">Check Balance</h2>

		<table>
			<thead>
				<tr>
					<th>Endpoint</th>
					<th>Method</th>
					<th>Definition</th>
				</tr>
			</thead>
				<tbody>
					<tr>
						<td>/checkbalance</td>
						<td>HTTP POST</td>
						<td><p>Enables partner to know deposit balance since last transaction occured</p></td>
					</tr>
				</tbody>
		</table>

<blockquote>
<p>Request Example</p>
</blockquote>

<pre class="highlight JSON"><code>
	<span class="hljs-attr"> POST /apikirimdoku/checkbalance HTTP/1.1</span>
	<span class="hljs-attr"> Host : https://staging.doku.com/apikirimdoku/checkbalance</span>
	<span class="hljs-attr"><code> Content-Type: application/json</code></span>
	<span class="hljs-attr"><code> { "agentKey":"A41418",</code></span>
	<span class="hljs-attr"><code> "requestId":"fd53b1e3-9c35-4dfa-a95c-a8dbc5695485",</code>
	<span class="hljs-attr"><code> "signature":"c7gWWl1UEDpkO42/Ikqjd4G2crci/iaqzAylLz<br>kQC0Ua94iF+IAv/wbhjWnwdcc9"}</code></span>
</code></pre>

<br>
		<h3 id="card-object3">REQUEST HEADER</h3>
			<table>
				<thead>
					<tr>
						<th>Field Name</th>
						<th>Content Type</th>
						<th>Mandatory / Not</th>
						<th>Description</th>
						<th>Example</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>Content-Type</td>
						<td>String</td>
						<td>Mandatory</td>
						<td>The Content-Type field indicates that JSON type is
							acceptable to send to the recipient</td>
						<td>application/json</td>
					</tr>
				</tbody>
			</table>

<blockquote>
<p>Sample response that was succeed</p>
</blockquote>

<pre class="highlight JSON"><code><p>{
<span class="hljs-attr">"status"</span>: <span class="hljs-string">0</span>,
<span class="hljs-attr">"message"</span>: <span class="hljs-string">"Check balance success"</span>
<span class="hljs-attr">"balance":{</span>
<span class="hljs-attr">"corporateName": "ABC Corp (TEST)",</span>
<span class="hljs-attr">"creditLimit": 0,</span>
<span class="hljs-attr">"creditAlertLimit": 0,</span>
<span class="hljs-attr">"creditLastBalance": 0</span>
}</p>
</code></pre>

<blockquote>
<p>Sample response that was failed</p>
</blockquote>
			
<pre class="highlight JSON"><code><p>{
<span class="hljs-attr">"status"</span>: <span class="hljs-string">9</span>,
<span class="hljs-attr">"message"</span>: <span class="hljs-string">"Unathorized access"</span>
}</p>
</code></pre>
<br>
			<h3 id="card-object4">REQUEST BODY</h3>
			<table>
				<thead>
					<tr>
						<th>Field Name</th>
						<th>Content Type</th>
						<th>Description</th>
						<th>Example</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>agentKey</td>
						<td>Character</td>
						<td>Hash key of authorization agent</td>
						<td>"A41418"</td>
						<td></td>
					</tr>
					<tr>
						<td>requestId</td>
						<td>Character</td>
						<td>Unique reference identification send by API caller</td>
						<td>"fd53b1e3-9c35-4dfa-a95c-a8dbc5695485"</td>
						<td></td>
					</tr>
					<tr>
						<td>signature</td>
						<td>ENC</td>
						<td>Uniquely authorisation code generated by caller</td>
						<td><p>"c7gWWl1UEDpkO42/Ikqjd4G2crci/iaqzAylLz<br>kQC0Ua94iF+IAv/wbhjWnwdcc9"</p></td>
						<td></td>
					</tr>
				</tbody>
			</table>


<h2 id="inquiry">Inquiry</h2>

		<table>
			<thead>
				<tr>
					<th>Endpoint</th>
					<th>Method</th>
					<th>Definition</th>
				</tr>
			</thead>
				<tbody>
					<tr>
						<td>cashin/inquiry</td>
						<td>HTTP POST</td>
						<td><p>Validate beneficiary account information, and receive information such as applied fee</p></td>
					</tr>
				</tbody>
			</table>

<blockquote>
<p>Request Example for channel "07"</p>
</blockquote>

<pre class="highlight JSON"><code>
	<span class="hljs-attr"> POST /apikirimdoku/cashin/inquiry HTTP/1.1</span>
	<span class="hljs-attr"> Host : https://staging.doku.com/apikirimdoku/cashin/inquiry</span>
	<span class="hljs-attr"> requestId: fd53b1e3-9c35-4dfa-a95c-a8dbc5695485</span>
	<span class="hljs-attr"> agentKey: A41418</span>
	<span class="hljs-attr"> signature: c7gWWl1UEDpkO42/Ikqjd4G2crci/iaqzAylLzkQC0Ua94iF+IAv/wbhjWnwdcc9</span>
	<span class="hljs-attr"><code> Content-Type: application/json</code></span>
	<span class="hljs-attr">{</span>
    <span class="hljs-attr">	"beneficiaryCountry":{</span>
    <span class="hljs-attr">		"code":"ID"</span>
    <span class="hljs-attr">		},</span>
    <span class="hljs-attr">	"beneficiaryCurrency":{</span>
    <span class="hljs-attr">    	"code":"IDR"</span>
    <span class="hljs-attr">		},</span>
    <span class="hljs-attr">	"channel":{</span>
    <span class="hljs-attr">    	"code":"07"</span>
    <span class="hljs-attr">	},</span>
    <span class="hljs-attr">	"senderAmount":100000,</span>
    <span class="hljs-attr">	"senderCountry":{</span>
    <span class="hljs-attr">    	"code":"ID"</span>
    <span class="hljs-attr">		},</span>
    <span class="hljs-attr">	"senderCurrency":{</span>
    <span class="hljs-attr">    	"code":"IDR"</span>
    <span class="hljs-attr">		},</span>
    <span class="hljs-attr">	"senderNote":"family maintenance",</span>
    <span class="hljs-attr">	"beneficiaryAccount": {</span>
    <span class="hljs-attr">    	"address":"Jakarta",</span>
    <span class="hljs-attr">    	"bank": {</span>
    <span class="hljs-attr">        	"code":"CENAIDJA",</span>
    <span class="hljs-attr">        	"countryCode":"ID",</span>
    <span class="hljs-attr">        	"id":"014",</span>
    <span class="hljs-attr">        	"name":"BANK CENTRAL ASIA BCA"</span>
    <span class="hljs-attr">    		},</span>
    <span class="hljs-attr">    	"city":"Jakarta",</span>
    <span class="hljs-attr">    	"name":"AHMAD AHMED MAHMUD",</span>
    <span class="hljs-attr">    	"number":"0803944123"</span>
    <span class="hljs-attr">		}</span>
	<span class="hljs-attr">}</span>
</code></pre>

<blockquote>
<p>Request Example for channel "04"</p>
</blockquote>

<pre class="highlight JSON"><code>
	<span class="hljs-attr"> POST /apikirimdoku/cashin/inquiry HTTP/1.1</span>
	<span class="hljs-attr"> Host : https://staging.doku.com/apikirimdoku/cashin/inquiry</span>
	<span class="hljs-attr"> requestId: fd53b1e3-9c35-4dfa-a95c-a8dbc5695485</span>
	<span class="hljs-attr"> agentKey: A41418</span>
	<span class="hljs-attr"> signature: c7gWWl1UEDpkO42/Ikqjd4G2crci/iaqzAylLzkQC0Ua94iF+IAv/wbhjWnwdcc9</span>
	<span class="hljs-attr"><code> Content-Type: application/json</code></span>
	<span class="hljs-attr">{</span>
    <span class="hljs-attr">	"beneficiaryCountry":{</span>
    <span class="hljs-attr">   		"code":"ID"</span>
    <span class="hljs-attr">		},</span>
    <span class="hljs-attr">	"beneficiaryCurrency":{</span>
    <span class="hljs-attr">   		"code":"IDR"</span>
    <span class="hljs-attr">		},</span>
    <span class="hljs-attr">	"channel":{</span>
    <span class="hljs-attr">   		"code":"04"</span>
    <span class="hljs-attr">		},</span>
    <span class="hljs-attr">	"senderAmount":100000,</span>
    <span class="hljs-attr">	"senderCountry":{</span>
    <span class="hljs-attr">   		"code":"ID"</span>
    <span class="hljs-attr">		},</span>
    <span class="hljs-attr">	"senderCurrency":{</span>
    <span class="hljs-attr">   		"code":"IDR"</span>
    <span class="hljs-attr">		},</span>
    <span class="hljs-attr">	"senderNote":"family maintenance",</span>
    <span class="hljs-attr">	"beneficiaryAccount": {</span>
    <span class="hljs-attr">   		"address":"Jakarta",</span>
    <span class="hljs-attr">   		"city":"Jakarta",</span>
    <span class="hljs-attr">   		"name":"AHMAD AHMED MAHMUD"</span>
    <span class="hljs-attr">		},</span>
 	<span class="hljs-attr">	"beneficiaryWalletId" : "hanafifirman.11@gmail.com"</span>
	<span class="hljs-attr">}</span>
</code></pre>
	
<blockquote>
<p>Sample response that was succeed</p>
</blockquote>
	
	<pre class="highlight JSON"><code> 	{
	<span class="hljs-attr">"status"</span> : <span class="hljs-number">0</span>,
	<span class="hljs-attr">"message"</span> : <span class="hljs-string">"Inquiry succeed"</span>,
	<span class="hljs-attr">"inquiry"</span>: {
		<span class="hljs-attr">"idToken"</span> : <span class="hljs-string">"I089180149940"</span>,
		<span class="hljs-attr">"fund"</span>: {
			<span class="hljs-attr">"origin"</span>: {
				<span class="hljs-attr">"amount"</span> : <span class="hljs-number">1524630</span>,
				<span class="hljs-attr">"currency"</span> : <span class="hljs-string">"IDR"</span>
			},
			<span class="hljs-attr">"destination"</span>: {
				<span class="hljs-attr">"amount"</span> : <span class="hljs-number">1524630</span>,
				<span class="hljs-attr">"currency"</span> : <span class="hljs-string">"IDR"</span>
			},
			<span class="hljs-attr">"fees"</span>: {
				<span class="hljs-attr">"total"</span> : <span class="hljs-number">0</span>,
				<span class="hljs-attr">"currency"</span> : <span class="hljs-string">"IDR"</span>,
				<span class="hljs-attr">"components"</span>: [
			{
				<span class="hljs-attr">"description"</span> : <span class="hljs-string">"Admin Fee"</span>,
				<span class="hljs-attr">"amount"</span> : <span class="hljs-number">0</span>
			}
		}
	}
},
		<span class="hljs-attr">"senderCountry"</span>: {
			<span class="hljs-attr">"code"</span> : <span class="hljs-string">"ID"</span>,
			<span class="hljs-attr">"name"</span> : <span class="hljs-string">"Indonesia"</span>
		},
		<span class="hljs-attr">"senderCurrency"</span>: {
			<span class="hljs-attr">"code"</span> : <span class="hljs-string">"IDR"</span>
		},
		<span class="hljs-attr">"beneficiaryCountry"</span>: {
			<span class="hljs-attr">"code"</span> : <span class="hljs-string">"ID"</span>,
			<span class="hljs-attr">"name"</span> : <span class="hljs-string">"Indonesia"</span>
		},
		<span class="hljs-attr">"beneficiaryCurrency"</span>: {
			<span class="hljs-attr">"code"</span> : <span class="hljs-string">"IDR"</span>
		},
		<span class="hljs-attr">"channel"</span>: {
			<span class="hljs-attr">"code"</span> : <span class="hljs-string">"07",</span>
			<span class="hljs-attr">"name"</span> : <span class="hljs-string">"Bank Deposit"</span>
		},
		<span class="hljs-attr">"forexReference"</span>: {
			<span class="hljs-attr">"id"</span> : <span class="hljs-number">5</span>,
			<span class="hljs-attr">"forex"</span>: {
				<span class="hljs-attr">"origin"</span>: {
					<span class="hljs-attr">"code"</span> : <span class="hljs-string">"IDR"</span>
				},
				<span class="hljs-attr">"destination"</span>: {
					<span class="hljs-attr">"code"</span> : <span class="hljs-string">"IDR"</span>
				}
			},
			<span class="hljs-attr">"rate"</span> : <span class="hljs-number">1.00</span>,
			<span class="hljs-attr">"createdTime"</span> : <span class="hljs-number">1344556800000</span>
		},
		<span class="hljs-attr">"beneficiaryAccount"</span>: {
			<span class="hljs-attr">"bank"</span>: {
				<span class="hljs-attr">"id"</span> : <span class="hljs-string">"014"</span>,
				<span class="hljs-attr">"code"</span> : <span class="hljs-string">"CENAIDJA"</span>,
				<span class="hljs-attr">"name"</span> : <span class="hljs-string">"Bank Central Asia BCA"</span>,
				<span class="hljs-attr">"city"</span> : <span class="hljs-string">"Jakarta"</span>,
				<span class="hljs-attr">"countryCode"</span> : <span class="hljs-string">"ID"</span>,
				<span class="hljs-attr">"groupBank"</span> : <span class="hljs-string">"ID"</span>,
				<span class="hljs-attr">"province"</span> : <span class="hljs-string">"DKI Jakarta"</span>,
				<span class="hljs-attr">"dcBankId"</span> : <span class="hljs-string">"145"</span>
				},
			<span class="hljs-attr">"number"</span> : <span class="hljs-string">"101010"</span>,
			<span class="hljs-attr">"name"</span> : <span class="hljs-string">"HERDI PRIADORAHMADONO"</span>,
			<span class="hljs-attr">"city"</span> : <span class="hljs-string">"Jakarta"</span>,
			<span class="hljs-attr">"address"</span> : <span class="hljs-string">"Jakarta"</span>,
			<span class="hljs-attr">"inputMode"</span> : <span class="hljs-string">"145"</span>
		}
	}
}</code></pre>



<h3 id="header-inquiry">REQUEST HEADER</h3>
			<table>
				<thead>
					<tr>
						<th>Field Name</th>
						<th>Content Type</th>
						<th>Mandatory / Not</th>
						<th>Description</th>
						<th>Example</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>Content-Type</td>
						<td>String</td>
						<td>Mandatory</td>
						<td>The Content-Type field indicates that JSON type is <br>
							acceptable to send to the recipient</td>
						<td>application/json</td>
					</tr>
			
					<tr>
						<td>requestId</td>
						<td>String</td>
						<td>Mandatory</td>
						<td>Unique reference identification send by API partner</td>
						<td>"fd53b1e3-9c35-4dfa-a95c-a8dbc5695485"</td>
					</tr>

					<tr>
						<td>agentKey</td>
						<td>String</td>
						<td>Mandatory</td>
						<td>Hash key of authorization agent</td>
						<td>"A41418"</td>
					</tr>

					<tr>
						<td>signature</td>
						<td>ENC</td>
						<td>Mandatory</td>
						<td>Uniquely authorization code generated by partner <br>validate by KIRIMDOKU</td>
						<td>"c7gWWl1UEDpkO42/Ikqjd4G2crci/iaqzA<br>ylLzkQC0Ua94iF+IAv/wbhjWnwdcc9"</td>
					</tr>
				</tbody>
			</table>

<blockquote>
<p>Sample response that was failed</p>
</blockquote>

	<pre class="highlight JSON"><code>	{
	<span class="hljs-attr">status</span> : <span class="hljs-number">11</span>,
	<span class="hljs-attr">message</span> : <span class="hljs-string">"Invalid parameters"</span>,
	<span class="hljs-attr">errors</span>: {
		<span class="hljs-attr">"beneficiaryCurrency"</span> : {
			<span class="hljs-string">"This field is required"</span>
		}
		}
		<span class="hljs-attr">"beneficiaryCountry"</span> : {
			<span class="hljs-string">"This field is required"</span>
		}
		}
	}
}</code></pre>
			
<blockquote>
<p>Transfer Inquiry Decline</p>
</blockquote>

	<pre class="highlight JSON"><code>	{
	<span class="hljs-attr">status</span> : <span class="hljs-number">"1"</span>,
	<span class="hljs-attr">message</span> : <span class="hljs-string">"Transfer Inquiry Decline"</span>
	}</code></pre>

<blockquote>
<p>No forex found for destination country</p>
</blockquote>
			
	<pre class="highlight JSON"><code>	{
	<span class="hljs-attr">status</span> : <span class="hljs-number">16</span>,
	<span class="hljs-attr">message</span> : <span class="hljs-string">"No forex found for destination country"</span>
	}</code></pre>

			<h3 id="header-inquiry-bank-transfer">REQUEST BODY BANK TRANSFER</h3>
			<table>
				<thead>
					<tr>
						<th>Field Name</th>
						<th>Content Type</th>
						<th>Mandatory / Not</th>
						<th>Description</th>
						<th>Example</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>senderCountry.code</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td>Sender original country code</td>
						<td>"ID"</td>
					</tr>
					<tr>
						<td>senderCurrency.code</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td>Sender currency code</td>
						<td>"IDR"</td>
					</tr>
					<tr>
						<td>beneficiaryCountry.code</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td>Beneficiary original country code</td>
						<td>"ID"</td>
					</tr>
					<tr>
						<td>beneficiaryCurrency.code</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td>Beneficiary currency code</td>
						<td>"IDR"</td>
					</tr>
					<tr>
						<td>channel.code</td>
						<td>Numerical</td>
						<td>Mandatory</td>
						<td>Channel for transfer service</td>
						<td>"07" for Bank Transfer</td>
					</tr>
					<tr>
						<td>senderAmount</td>
						<td>Numerical</td>
						<td>Mandatory</td>
						<td>Amount of original in numeric double format</td>
						<td>500000</td>
					</tr>
					<tr>
						<td>beneficiaryAccount.address</td>
						<td>Character</td>
						<td>Not Mandatory</td>
						<td>Beneficiary address registered on partner system</td>
						<td>"Jakarta"</td>
					</tr>
					<tr>
						<td>beneficiaryAccount.bank.code</td>
						<td>Numerical</td>
						<td>Mandatory</td>
						<td>Designated SWIFT code of beneficiary bank name</td>
						<td>"CENAIDJA"</td>
					</tr>
					<tr>
						<td>beneficiaryAccount.bank.countryCode</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td>Country code of beneficiary bank account</td>
						<td>"ID"</td>
					</tr>
					<tr>
						<td>beneficiaryAccount.bank.id</td>
						<td>Numerical</td>
						<td>Mandatory</td>
						<td>The ID of beneficiary bank assigned by Central Bank of Indonesia</td>
						<td>"014"</td>
					</tr>
					<tr>
						<td>beneficiaryAccount.bank.name</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td> The name of beneficiary bank</td>
						<td>"Bank Central Asia BCA"</td>
					</tr>
					<tr>
						<td>beneficiaryAccount.city</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td>The city of beneficiary bank located</td>
						<td>"Jakarta"</td>
					</tr>
					<tr>
						<td>beneficiaryAccount.name</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td> The name of bank account holder</td>
						<td>"Abdul Majid"</td>
					</tr>
					<tr>
						<td>beneficiaryAccount.number</td>
						<td>Numercial</td>
						<td>Mandatory</td>
						<td>Beneficiary bank account number</td>
						<td>"632452342"</td>
					</tr>
				</tbody>
			</table>

			<h3 id="header-inquiry-bank-transfer">REQUEST BODY DOKU WALLET TRANSFER</h3>
			<br>
			<table>
				<thead>
					<tr>
						<th>Field Name</th>
						<th>Content Type</th>
						<th>Mandatory / Not</th>
						<th>Description</th>
						<th>Example</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>senderCountry.code</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td>Sender original country code</td>
						<td>"ID"</td>
					</tr>
					<tr>
						<td>senderCurrency.code</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td>Sender currency code</td>
						<td>"IDR"</td>
					</tr>
					<tr>
						<td>beneficiaryCountry.code</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td>Beneficiary original country code</td>
						<td>"ID"</td>
					</tr>
					<tr>
						<td>beneficiaryCurrency.code</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td>Beneficiary currency code</td>
						<td>"IDR"</td>
					</tr>
					<tr>
						<td>channel.code</td>
						<td>Numerical</td>
						<td>Mandatory</td>
						<td>Channel for transfer service</td>
						<td>"04" for Wallet Trasnfer</td>
					</tr>
					<tr>
						<td>senderAmount</td>
						<td>Numerical</td>
						<td>Mandatory</td>
						<td>Amount of original in numeric double format</td>
						<td>"500000"</td>
					</tr>
					<tr>
						<td>senderNote</td>
						<td>Character</td>
						<td>Not Mandatory</td>
						<td>Generalized usage of money transfer</td>
						<td>"family maintenance"</td>
					</tr>
					<tr>
						<td>beneficiaryAccount.address</td>
						<td>Character</td>
						<td>Not Mandatory</td>
						<td>Beneficiary address registered on partner system</td>
						<td>"Jakarta"</td>
					</tr>
					<tr>
						<td>beneficiaryAccount.city</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td>The city of beneficiary bank located</td>
						<td>"Jakarta"</td>
					</tr>
					<tr>
						<td>beneficiaryAccount.name</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td> The name of bank account holder</td>
						<td>"Abdul Majid"</td>
					</tr>
					<tr>
						<td>beneficiaryWalletId</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td>Beneficiary Email or Beneficiary Doku Wallet ID</td>
						<td>hanafifirman.11@gmail.com</td>
					</tr>
				</tbody>
			</table>


<h2 id="remit">Remit</h2>

		<table>
			<thead>
				<tr>
					<th>Endpoint</th>
					<th>Method</th>
					<th>Definition</th>
				</tr>
			</thead>
				<tbody>
					<tr>
						<td>cashin/remit</td>
						<td>HTTP POST</td>
						<td><p>Execute transfer action from partner deposit to beneficiary. before execute remit request make sure you've acquire inquiryId</p></td>
					</tr>
				</tbody>
			</table>

<blockquote>
<p>Request Example for channel.code "07" - Bank Transfer</p>
</blockquote>

<pre class="highlight JSON"><code>
<span class="hljs-attr"> POST /apikirimdoku/cashin/inquiry HTTP/1.1</span>
	<span class="hljs-attr"> Host : https://staging.doku.com/apikirimdoku/cashin/remit</span>
	<span class="hljs-attr"> requestId: fd53b1e3-9c35-4dfa-a95c-a8dbc5695485</span>
	<span class="hljs-attr"> agentKey: A41418</span>
	<span class="hljs-attr"> signature: c7gWWl1UEDpkO42/Ikqjd4G2crci/iaqzAylLzkQC0Ua94iF+IAv/wbhjWnwdcc9</span>
	<span class="hljs-attr"><code> Content-Type: application/json</code></span>
	<span class="hljs-attr">{</span>
	<span class="hljs-attr">"beneficiary":{</span>
	<span class="hljs-attr">"address":"",</span>
	<span class="hljs-attr">"country":{</span>
	<span class="hljs-attr">"code":"ID"</span>
	<span class="hljs-attr">},</span>
	<span class="hljs-attr">"firstName":"KHRISNA",</span>
	<span class="hljs-attr">"lastName":"HASUDUNGAN R",</span>
	<span class="hljs-attr">"phoneNumber":"62816773344"</span>
	<span class="hljs-attr">,</span>
	<span class="hljs-attr">"beneficiaryAccount":{</span>
	<span class="hljs-attr">"address":"Jakarta",</span>
	<span class="hljs-attr">"bank":{</span>
	<span class="hljs-attr">"code":"CENAIDJA",</span>
	<span class="hljs-attr">"countryCode":"ID",</span>
	<span class="hljs-attr">"id":"014",</span>
	<span class="hljs-attr">"name":"Bank Central Asia BCA"</span>
	<span class="hljs-attr">},</span>
	<span class="hljs-attr">"city":"Jakarta",</span>
	<span class="hljs-attr">"name":"ELYN",</span>
	<span class="hljs-attr">"number":"101010"</span>
	<span class="hljs-attr">},</span>
	<span class="hljs-attr">"beneficiaryCity":"",</span>
	<span class="hljs-attr">"beneficiaryCountry":{</span>
	<span class="hljs-attr">"code":"ID"</span>
	<span class="hljs-attr">},</span>
	<span class="hljs-attr">"beneficiaryCurrency":{</span>
	<span class="hljs-attr">"code":"IDR"</span>
	<span class="hljs-attr">},</span>
	<span class="hljs-attr">"channel":{</span>
	<span class="hljs-attr">"code":"07"</span>
	<span class="hljs-attr">},</span>
	<span class="hljs-attr">"inquiry":{</span>
	<span class="hljs-attr">"idToken":"I03690800206290"</span>
	<span class="hljs-attr">},</span>
	<span class="hljs-attr">"sender":{</span>
	<span class="hljs-attr">"address":"UL.AKADEMIKA VARGI D.28, KV. 452",</span>
	<span class="hljs-attr">"birthDate":"1988-05-25",</span>
	<span class="hljs-attr">"country":{</span>
	<span class="hljs-attr">"code":"ID"</span>
	<span class="hljs-attr">},</span>
	<span class="hljs-attr">"firstName":"IRINA",</span>
	<span class="hljs-attr">"gender":"FEMALE",</span>
	<span class="hljs-attr">"lastName":"DOBRUNOVA",</span>
	<span class="hljs-attr">"personalId":"32750144412940012",</span>
	<span class="hljs-attr">"personalIdCountry":{</span>
	<span class="hljs-attr">"code":"ID"</span>
	<span class="hljs-attr">},</span>
	<span class="hljs-attr">"personalIdType":"KTP",</span>
	<span class="hljs-attr">"phoneNumber":"089618012225"</span>
	<span class="hljs-attr">},</span>
	<span class="hljs-attr">"senderAmount":20000,</span>
	<span class="hljs-attr">"senderCountry":{</span>
	<span class="hljs-attr">"code":"ID"</span>
	<span class="hljs-attr">},</span>
	<span class="hljs-attr">"senderCurrency":{</span>
	<span class="hljs-attr">"code":"IDR"</span>
	<span class="hljs-attr">},</span>
	<span class="hljs-attr">"senderNote":"family maintenance",</span>
	}'
	<span class="hljs-attr">‘https://staging.doku.com/apikirimdoku/cashin/remit’</span>
</code></pre>

<h3 id="header-inquiry">REQUEST HEADER</h3>
			<table>
				<thead>
					<tr>
						<th>Field Name</th>
						<th>Content Type</th>
						<th>Mandatory / Not</th>
						<th>Description</th>
						<th>Example</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>Content-Type</td>
						<td>String</td>
						<td>Mandatory</td>
						<td>The Content-Type field indicates that JSON type is <br>
							acceptable to send to the recipient</td>
						<td>application/json</td>
					</tr>
			
					<tr>
						<td>requestId</td>
						<td>String</td>
						<td>Mandatory</td>
						<td>Unique reference identification send by API partner</td>
						<td>"fd53b1e3-9c35-4dfa-a95c-a8dbc5695485"</td>
					</tr>

					<tr>
						<td>agentKey</td>
						<td>String</td>
						<td>Mandatory</td>
						<td>Hash key of authorization agent</td>
						<td>"A41418"</td>
					</tr>

					<tr>
						<td>signature</td>
						<td>ENC</td>
						<td>Mandatory</td>
						<td>Uniquely authorization code generated by partner <br>validate by KIRIMDOKU</td>
						<td>"c7gWWl1UEDpkO42/Ikqjd4G2crci/iaqz<br>AylLzkQC0Ua94iF+IAv/wbhjWnwdcc9"</td>
					</tr>
				</tbody>
			</table>

<blockquote>
<p>Request Example for channel.code "04" - Bank Transfer</p>
</blockquote>

<pre class="highlight JSON"><code>
<span class="hljs-attr"> POST /apikirimdoku/cashin/inquiry HTTP/1.1</span>
	<span class="hljs-attr"> Host : https://staging.doku.com/apikirimdoku/cashin/remit</span>
	<span class="hljs-attr"> requestId: fd53b1e3-9c35-4dfa-a95c-a8dbc5695485</span>
	<span class="hljs-attr"> agentKey: A41418</span>
	<span class="hljs-attr"> signature: c7gWWl1UEDpkO42/Ikqjd4G2crci/iaqzAylLzkQC0Ua94iF+IAv/wbhjWnwdcc9</span>
	<span class="hljs-attr"><code> Content-Type: application/json</code></span>
	<span class="hljs-attr">	{</span>
    <span class="hljs-attr">	"inquiry":{</span>
    <span class="hljs-attr">    	"idToken":"I06331397550448"</span>
    <span class="hljs-attr">		},</span>
    <span class="hljs-attr">	"beneficiaryCountry":{</span>
    <span class="hljs-attr">    	"code":"ID"</span>
    <span class="hljs-attr">		},</span>
    <span class="hljs-attr">	"beneficiaryCurrency":{</span>
    <span class="hljs-attr">    	"code":"IDR"</span>
    <span class="hljs-attr">		},</span>
    <span class="hljs-attr">	"channel":{</span>
    <span class="hljs-attr">    	"code":"04"</span>
    <span class="hljs-attr">		},</span>
    <span class="hljs-attr">	"senderAmount":100000,</span>
    <span class="hljs-attr">	"senderCountry":{</span>
    <span class="hljs-attr">    	"code":"ID"</span>
    <span class="hljs-attr">		},</span>
    <span class="hljs-attr">	"senderCurrency":{</span>
    <span class="hljs-attr">    	"code":"IDR"</span>
    <span class="hljs-attr">		},</span>
    <span class="hljs-attr">	"senderNote":"family maintenance",</span>
    <span class="hljs-attr">	"beneficiaryAccount": {</span>
    <span class="hljs-attr">    	"address":"Jakarta",</span>
    <span class="hljs-attr">    	"city":"Jakarta",</span>
    <span class="hljs-attr">    	"name":"ELYN",</span>
    <span class="hljs-attr">		},</span>
    <span class="hljs-attr">	"sender":{</span>
    <span class="hljs-attr">    	"address":"UL.AKADEMIKA VARGI D.28, KV. 452",</span>
    <span class="hljs-attr">    	"birthDate":"1988-05-25",</span>
    <span class="hljs-attr">    	"country":{</span>
    <span class="hljs-attr">        	"code":"ID"</span>
    <span class="hljs-attr">    		},</span>
    <span class="hljs-attr">    	"firstName":"IRINA",</span>
    <span class="hljs-attr">    	"gender":"FEMALE",</span>
    <span class="hljs-attr">    	"lastName":"DOBRUNOVA",</span>
    <span class="hljs-attr">    	"personalId":"4509932907",</span>
    <span class="hljs-attr">    	"personalIdCountry":{</span>
    <span class="hljs-attr">        	"code":"ID"</span>
    <span class="hljs-attr">    		},</span>
    <span class="hljs-attr">    	"personalIdExpireDate":"2030-01-01",</span>
    <span class="hljs-attr">    	"personalIdIssueDate":"2008-07-18",</span>
    <span class="hljs-attr">    	"personalIdType":"PASSPORT",</span>
    <span class="hljs-attr">    	"phoneNumber":"7-916-5786212"</span>
    <span class="hljs-attr">		},</span>
    <span class="hljs-attr">		"beneficiary":{</span>
    <span class="hljs-attr">    		"address":"",</span>
    <span class="hljs-attr">    		"country":{</span>
    <span class="hljs-attr">        		"code":"ID"</span>
    <span class="hljs-attr">    		},</span>
    <span class="hljs-attr">    	"firstName":"KHRISNA",</span>
    <span class="hljs-attr">    	"lastName":"HASUDUNGAN R",</span>
    <span class="hljs-attr">    	"phoneNumber":"62816773344"</span>
    <span class="hljs-attr">	}</span>
  	<span class="hljs-attr">	"beneficiaryWalletId" : "hanafifirman.11@gmail.com"</span>
 	<span class="hljs-attr">}</span>
	<span class="hljs-attr">‘https://staging.doku.com/apikirimdoku/cashin/remit’</span>
</code></pre>

<blockquote>
<p>Succeed Response Example</p>
</blockquote>

<pre class="highlight JSON"><code>{
<span class="hljs-attr">status</span> : <span class="hljs-number">0</span>,
<span class="hljs-attr">message</span> : <span class="hljs-string">"Remit accepted"</span>,
<span class="hljs-attr">remit</span>: {
<span class="hljs-attr">"paymentData"</span> : {
	<span class="hljs-string">"mallId"</span> : <span class="hljs-string">"2"</span>,
	<span class="hljs-string">"chainMallId"</span> : <span class="hljs-string">null</span>,
	<span class="hljs-string">"accountNumber"</span> : <span class="hljs-string">"1628319022"</span>,
	<span class="hljs-string">"accountName"</span> : <span class="hljs-string">"DOKU"</span>,
	<span class="hljs-string">"channelCode"</span> : <span class="hljs-string">"07"</span>,
	<span class="hljs-string">"inquiryId"</span> : <span class="hljs-string">"I06385397151280"</span>,
	<span class="hljs-string">"currency"</span> : <span class="hljs-string">"IDR"</span>,
	<span class="hljs-string">"amount"</span> : <span class="hljs-string">"1524630"</span>,
	<span class="hljs-string">"trxCode"</span> : <span class="hljs-string">"051f6782-65ce-4de2-92b7-6e321ec8e48c"</span>,
	<span class="hljs-string">"responseCode"</span> : <span class="hljs-string">"00"</span>,
	<span class="hljs-string">"responseMsg"</span> : <span class="hljs-string">"Transfer Approve"</span>
	},
<span class="hljs-string">"transactionId"</span> : <span class="hljs-string">"DK0252106"</span>
<span class="hljs-string">"transactionStatus"</span> : <span class="hljs-string">"50"</span>
	}
}</code></pre>

<blockquote>
<p>InquiryId has been Processed</p>
</blockquote>
	<pre class="highlight JSON"><code>{
	<span class="hljs-attr">"status"</span> : <span class="hljs-number">0</span>,
	<span class="hljs-attr">"message"</span> : <span class="hljs-string">"Pass"</span>,
	<span class="hljs-attr">"remit"</span>: {
	<span class="hljs-string">"transactionId"</span> : <span class="hljs-string">"DK0252106"</span>
	},
	<span class="hljs-attr">"warning"</span> : <span class="hljs-string">"Inquiry Process has been processed"</span>
}</code></pre>

<blockquote>
<p>Failed Respond Example caused by Invalid Parameters</p>
</blockquote>
	
	<pre class="highlight JSON"><code>{
	<span class="hljs-attr">status</span> : <span class="hljs-number">11</span>,
	<span class="hljs-attr">message</span> : <span class="hljs-string">"Invalid paramters"</span>,
	<span class="hljs-attr">errors</span>: {
			<span class="hljs-string">"Beneficiary country not valid"</span>
	}
}</code></pre>

<blockquote>
<p>Failed Respond Example caused by Different Amount from Inquiry</p>
</blockquote>
			<pre class="highlight JSON"><code>{
	<span class="hljs-attr">status</span> : <span class="hljs-number">13</span>,
	<span class="hljs-attr">message</span> : <span class="hljs-string">"Invalid Amount"</span>
}</code></pre>

<blockquote>
<p>Failed Respond Example caused by Bank or Switching Partner</p>
</blockquote>

<pre class="highlight JSON"><code>{
<span class="hljs-attr">"status"</span> : <span class="hljs-number">0</span>,
<span class="hljs-attr">message</span> : <span class="hljs-string">,"Remit accepted"</span>,
<span class="hljs-attr">remit</span>: { 
<span class="hljs-attr">"paymentData"</span> : {
	<span class="hljs-string">"mallId"</span> : <span class="hljs-string">"2"</span>,
	<span class="hljs-string">"chainMallId"</span> : <span class="hljs-string">null</span>,
	<span class="hljs-string">"accountNumber"</span> : <span class="hljs-string">"1628319022"</span>,
	<span class="hljs-string">"accountName"</span> : <span class="hljs-string">"DOKU"</span>,
	<span class="hljs-string">"channelCode"</span> : <span class="hljs-string">"07"</span>,
	<span class="hljs-string">"inquiryId"</span> : <span class="hljs-string">"I06385397151280"</span>,
	<span class="hljs-string">"currency"</span> : <span class="hljs-string">"IDR"</span>,
	<span class="hljs-string">"amount"</span> : <span class="hljs-string">"1524630"</span>,
	<span class="hljs-string">"trxCode"</span> : <span class="hljs-string">"051f6782-65ce-4de2-92b7-6e321ec8e48c"</span>,
	<span class="hljs-string">"responseCode"</span> : <span class="hljs-string"> "25" </span>, 
	<span class="hljs-string">"responseMsg"</span> : <span class="hljs-string">"Transfer Decline" </span>
	},
	<span class="hljs-string">"transactionId"</span> : <span class="hljs-string">"DK0252106"</span>
	<span class="hljs-string">"transactionStatus"</span> : <span class="hljs-string">"35"</span>
	}
}</code></pre>

			<h3 id="header-inquiry-bank-transfer">REQUEST BODY BANK TRANSFER</h3>
			<table>
				<thead>
					<tr>
						<th>Field Name</th>
						<th>Content Type</th>
						<th>Mandatory / Not</th>
						<th>Description</th>
						<th>Example</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>inquiry.IdToken</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td>TokenID from previous inquiry result</td>
						<td>"I089180149940"</td>
					</tr>
					<tr>
						<td>channel.code</td>
						<td>Numerical</td>
						<td>Mandatory</td>
						<td>service code identifier</td>
						<td>"07"</td>
					</tr>
					<tr>
						<td>senderCountry.code</td>
						<td>Character(2)</td>
						<td>Mandatory</td>
						<td>Sender original country code</td>
						<td>"ID"</td>
					</tr>
					<tr>
						<td>senderCurrency.code</td>
						<td>Character(3)</td>
						<td>Mandatory</td>
						<td>Sender currency code</td>
						<td>"IDR"</td>
					</tr>
					<tr>
						<td>beneficiaryCountry.code</td>
						<td>Character(2)</td>
						<td>Mandatory</td>
						<td>Beneficiary original country code</td>
						<td>"ID"</td>
					</tr>
					<tr>
						<td>beneficiaryCity</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td>Beneficiary original city name</td>
						<td>"Jakarta"</td>
					</tr>
					<tr>
						<td>senderAmount</td>
						<td>Numerical</td>
						<td>Mandatory</td>
						<td>Amount of currency in numeric, must be the same as inqruiry request</td>
						<td>150000</td>
					</tr>
					<tr>
						<td>senderNote</td>
						<td>Character</td>
						<td>Not Mandatory</td>
						<td>Notes from Sender</td>
						<td>"Transaction Testing"</td>
					</tr>
					<tr>
						<td>sendTrxId</td>
						<td>String</td>
						<td>Not Mandatory</td>
						<td>Unique key identifier from partner, must unique per request</td>
						<td>"f1dbb0adafab0ce2d66<br>07642b3ac455050afd0b2"</td>
					</tr>
					<tr>
						<td>sender.firstName</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td>first name of sender</td>
						<td>"Abdul"</td>
						<td></td>
					</tr>
					<tr>
						<td>sender.lastName</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td>Duplicate sender.firstName for 1 syllabel. <br>Separate firstName and lastName if there are more than 1 syllabel name</td>
						<td>"Majid"</td>
					</tr>
					<tr>
						<td>sender.phoneNumber</td>
						<td>Numerical</td>
						<td>Mandatory</td>
						<td>Sender mobile phone number</td>
						<td>"628561223123"</td>
					</tr>
					<tr>
						<td>sender.birthDate</td>
						<td>Numerical</td>
						<td>Mandatory</td>
						<td>birthdate of sender in YYYY-MM-DD format</td>
						<td>"1987-03-03"</td>
						<td></td>
					</tr>
					<tr>
						<td>sender.gender</td>
						<td>Character</td>
						<td>Not Mandatory</td>
						<td>Gender of sender (Male / Female)</td>
						<td>"MALE" <br>or "FEMALE"</td>
					</tr>
					<tr>
						<td>sender.address</td>
						<td>Character</td>
						<td>Not Mandatory</td>
						<td>Brief description of sender address / location</td>
						<td>"Jalan ABC no 3"</td>
					</tr>
					<tr>
						<td>sender.personalIdType</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td>Type of personal ID accepted (eg: CITIZENID / DRIVERLICENSE / PASSPORT)</td>
						<td>"CITIZENID"</td>
					</tr>
					<tr>
						<td>sender.personalId</td>
						<td>Numerical</td>
						<td>Mandatory</td>
						<td>IDnumber of personal ID</td>
						<td>"32750144<br>12940012"</td>
					</tr>
					<tr>
						<td>sender.personalIdCountry.code</td>
						<td>Character(2)</td>
						<td>Mandatory</td>
						<td>Country code publisher personal ID belongs to sender</td>
						<td>"ID"</td>
					</tr>
					<tr>
						<td>beneficiary.country.code</td>
						<td>Character(2)</td>
						<td>Mandatory</td>
						<td>Country code of beneficiary nationality</td>
						<td>"ID"</td>
					</tr>
					<tr>
						<td>beneficiary.firstName</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td>first name of beneficiary</td>
						<td>"Tono"</td>
					</tr>
					<tr>
						<td>beneficiary.lastName</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td>Duplicate sender.firstName for 1 syllabel. <br>Separate firstName and lastName if there are more than 1 syllabel name</td>
						<td>"Marjuki"</td>
					</tr>
					<tr>
						<td>beneficiary.address</td>
						<td>Character</td>
						<td>Not Mandatory</td>
						<td>Brief description of sender address / location</td>
						<td>"Jalan DEF no 3"</td>
					</tr>
					<tr>
						<td>beneficiary.phoneNumber</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td>Beneficiary mobile phone number</td>
						<td>"628157123123"</td>
					</tr>
					<td>beneficiaryAccount.bank.code</td>
						<td>Numerical</td>
						<td>Mandatory</td>
						<td>Designated SWIFT code of beneficiary bank name</td>
						<td>"CENAIDJA"</td>
					</tr>
					<tr>
						<td>beneficiaryAccount.bank<br>.countryCode</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td>Country code of beneficiary bank account</td>
						<td>"ID"</td>
					</tr>
					<tr>
						<td>beneficiaryAccount.bank.id</td>
						<td>Numerical</td>
						<td>Mandatory</td>
						<td>The ID of beneficiary bank assigned by Central Bank of Indonesia</td>
						<td>"014"</td>
					</tr>
					<tr>
						<td>beneficiaryAccount.bank.name</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td> The name of beneficiary bank</td>
						<td>"Bank Central Asia BCA"</td>
					</tr>
					<tr>
						<td>beneficiaryAccount.address</td>
						<td>Character</td>
						<td>Not Mandatory</td>
						<td>Beneficiary address registered on partner system</td>
						<td>"Jakarta"</td>
					</tr>
					<tr>
						<td>beneficiaryAccount.city</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td>The city of beneficiary bank located</td>
						<td>"Jakarta"</td>
					</tr>
					<tr>
						<td>beneficiaryAccount.name</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td> The name of bank account holder</td>
						<td>"Abdul Majid"</td>
					</tr>
					<tr>
						<td>beneficiaryAccount.number</td>
						<td>Numercial</td>
						<td>Mandatory</td>
						<td>Beneficiary bank account number</td>
						<td>"6790153860"</td>
					</tr>
				</tbody>
			</table>

			<h3 id="header-inquiry-wallet-transfer">REQUEST BODY WALLET TRANSFER</h3>
			<table>
				<thead>
					<tr>
						<th>Field Name</th>
						<th>Content Type</th>
						<th>Mandatory / Not</th>
						<th>Description</th>
						<th>Example</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>inquiry.IdToken</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td>TokenID from previous inquiry result</td>
						<td>"I089180149940"</td>
					</tr>
					<tr>
						<td>channel.code</td>
						<td>Numerical</td>
						<td>Mandatory</td>
						<td>service code identifier</td>
						<td>"04"</td>
					</tr>
					<tr>
						<td>senderCountry.code</td>
						<td>Character(2)</td>
						<td>Mandatory</td>
						<td>Sender original country code</td>
						<td>"ID"</td>
					</tr>
					<tr>
						<td>senderCurrency.code</td>
						<td>Character(3)</td>
						<td>Mandatory</td>
						<td>Sender currency code</td>
						<td>"IDR"</td>
					</tr>
					<tr>
						<td>beneficiaryCountry.code</td>
						<td>Character(2)</td>
						<td>Mandatory</td>
						<td>Beneficiary original country code</td>
						<td>"ID"</td>
					</tr>
					<tr>
						<td>beneficiaryCity</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td>Beneficiary original city name</td>
						<td>"Jakarta"</td>
					</tr>
					<tr>
						<td>senderAmount</td>
						<td>Numerical</td>
						<td>Mandatory</td>
						<td>Amount of currency in numeric, must be the same as inqruiry request</td>
						<td>150000</td>
					</tr>
					<tr>
						<td>senderNote</td>
						<td>Character</td>
						<td>Not Mandatory</td>
						<td>Notes from Sender</td>
						<td>"Transaction Testing"</td>
					</tr>
					<tr>
						<td>sendTrxId</td>
						<td>String</td>
						<td>Not Mandatory</td>
						<td>Unique key identifier from partner, must unique per request</td>
						<td>"f1dbb0adafab0ce2d66<br>07642b3ac455050afd0b2"</td>
					</tr>
					<tr>
						<td>sender.firstName</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td>first name of sender</td>
						<td>"Abdul"</td>
						<td></td>
					</tr>
					<tr>
						<td>sender.lastName</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td>Duplicate sender.firstName for 1 syllabel. <br>Separate firstName and lastName if there are more than 1 syllabel name</td>
						<td>"Majid"</td>
					</tr>
					<tr>
						<td>sender.phoneNumber</td>
						<td>Numerical</td>
						<td>Mandatory</td>
						<td>Sender mobile phone number</td>
						<td>"628561223123"</td>
					</tr>
					<tr>
						<td>sender.birthDate</td>
						<td>Numerical</td>
						<td>Mandatory</td>
						<td>birthdate of sender in YYYY-MM-DD format</td>
						<td>"1987-03-03"</td>
						<td></td>
					</tr>
					<tr>
						<td>sender.gender</td>
						<td>Character</td>
						<td>Not Mandatory</td>
						<td>Gender of sender (Male / Female)</td>
						<td>"MALE" <br>or "FEMALE"</td>
					</tr>
					<tr>
						<td>sender.address</td>
						<td>Character</td>
						<td>Not Mandatory</td>
						<td>Brief description of sender address / location</td>
						<td>"Jalan ABC no 3"</td>
					</tr>
					<tr>
						<td>sender.personalIdType</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td>Type of personal ID accepted (eg: CITIZENID / DRIVERLICENSE / PASSPORT)</td>
						<td>"CITIZENID"</td>
					</tr>
					<tr>
						<td>sender.personalId</td>
						<td>Numerical</td>
						<td>Mandatory</td>
						<td>IDnumber of personal ID</td>
						<td>"32750144<br>12940012"</td>
					</tr>
					<tr>
						<td>sender.personalIdCountry.code</td>
						<td>Character(2)</td>
						<td>Mandatory</td>
						<td>Country code publisher personal ID belongs to sender</td>
						<td>"ID"</td>
					</tr>
					<tr>
						<td>beneficiary.country.code</td>
						<td>Character(2)</td>
						<td>Mandatory</td>
						<td>Country code of beneficiary nationality</td>
						<td>"ID"</td>
					</tr>
					<tr>
						<td>beneficiary.firstName</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td>first name of beneficiary</td>
						<td>"Tono"</td>
					</tr>
					<tr>
						<td>beneficiary.lastName</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td>Duplicate sender.firstName for 1 syllabel. <br>Separate firstName and lastName if there are more than 1 syllabel name</td>
						<td>"Marjuki"</td>
					</tr>
					<tr>
						<td>beneficiary.address</td>
						<td>Character</td>
						<td>Not Mandatory</td>
						<td>Brief description of sender address / location</td>
						<td>"Jalan DEF no 3"</td>
					</tr>
					<tr>
						<td>beneficiary.phoneNumber</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td>Beneficiary mobile phone number</td>
						<td>"628157123123"</td>
					</tr>
					<tr>
						<td>beneficiaryAccount.address</td>
						<td>Character</td>
						<td>Not Mandatory</td>
						<td>Beneficiary address registered on partner system</td>
						<td>"Jakarta"</td>
					</tr>
					<tr>
						<td>beneficiaryAccount.city</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td>The city of beneficiary bank located</td>
						<td>"Jakarta"</td>
					</tr>
					<tr>
						<td>beneficiaryAccount.name</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td> The name of bank account holder</td>
						<td>"Abdul Majid"</td>
					</tr>
					<tr>
						<td>beneficiaryWalletId</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td>Beneficiary Email or Beneficiary Doku Wallet ID</td>
						<td>hanafifirman.11@gmail.com</td>
					</tr>
				</tbody>
			</table>



<h2 id="transaction-info">Transaction Info</h2>

<blockquote>
<p>Request Example for Transaction Info</p>
</blockquote>

<pre class="highlight JSON"><code>
<span class="hljs-attr"> POST /apikirimdoku/cashin/inquiry HTTP/1.1</span>
	<span class="hljs-attr"> Host : https://staging.doku.com/apikirimdoku/cashin/remit</span>
	<span class="hljs-attr"> requestId: fd53b1e3-9c35-4dfa-a95c-a8dbc5695485</span>
	<span class="hljs-attr"> agentKey: A41418</span>
	<span class="hljs-attr"> signature: c7gWWl1UEDpkO42/Ikqjd4G2crci/iaqzAylLzkQC0Ua94iF+IAv/wbhjWnwdcc9</span>
	<span class="hljs-attr"><code> Content-Type: application/json</code></span>
	<span class="hljs-attr">{</span>
  	<span class="hljs-attr">"transactionId":"I02852516927268"</span>
	<span class="hljs-attr">}</span>
</code></pre>

			<table>
				<thead>
					<tr>
						<th>Endpoint</th>
						<th>HTTP Method</th>
						<th>Definition</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>/transaction/info</td>
						<td>POST</td>
						<td><p>Get Status Transaction</p></td>
						<td></td>
					</tr>
				</tbody>
			</table>

<h3 id="header-inquiry">REQUEST HEADER</h3>

<blockquote>
<p>Success Response Example</p>
</blockquote>

	<pre class="highlight JSON"><code>
	<span class="hljs-attr">{</span>
	<span class="hljs-attr">"transaction":{</span>
	<span class="hljs-attr">	"id": "DK0826666",</span>
	<span class="hljs-attr">	"inquiryId": "I02852516927268",</span>
	<span class="hljs-attr">	"sendTrxId": null,</span>
	<span class="hljs-attr">	"status": 50,</span>
	<span class="hljs-attr">	"createdTime": 1551187253184,</span>
	<span class="hljs-attr">	"cashInTime": "2019-02-26 20:20:53",</span>
	<span class="hljs-attr">	"agent":{</span>
	<span class="hljs-attr">		"code": "A41963",</span>
	<span class="hljs-attr">		"country":{</span>
	<span class="hljs-attr">			"code": "ID",</span>
	<span class="hljs-attr">			"name": "Indonesia",</span>
	<span class="hljs-attr">		"currency":{</span>
	<span class="hljs-attr">			"code": "IDR"</span>
	<span class="hljs-attr">			}</span>
	<span class="hljs-attr">		},</span>
	<span class="hljs-attr">		"user":{</span>
	<span class="hljs-attr">			"username;": "wanglu02@ppdai.com",</span>
	<span class="hljs-attr">			"name": "ABC Corp (TEST)"</span>
	<span class="hljs-attr">			}</span>
	<span class="hljs-attr">		},</span>
	<span class="hljs-attr">	"channel":{</span>
	<span class="hljs-attr">		"code": "07",</span>
	<span class="hljs-attr">		"name": "Bank Deposit"</span>
	<span class="hljs-attr">		},</span>
	<span class="hljs-attr">	"sender":{</span>
	<span class="hljs-attr">		"id": "CID0095209",</span>
	<span class="hljs-attr">		"firstName": "Sender",</span>
	<span class="hljs-attr">		"lastName": "Adakami",</span>
	<span class="hljs-attr">		"personalIdType": "DEFAULT",</span>
	<span class="hljs-attr">		"personalId": "01234567890",</span>
	<span class="hljs-attr">		"birthDate": "1990-01-01",</span>
	<span class="hljs-attr">		"phoneNumber": "0-000-000000",</span>
	<span class="hljs-attr">		"gender": "MALE",</span>
	<span class="hljs-attr">		"country":{</span>
	<span class="hljs-attr">			"code": "ID", </span>
	<span class="hljs-attr">			"name": "Indonesia", </span>
	<span class="hljs-attr">			"currency":{</span>
	<span class="hljs-attr">				"code": "IDR"</span>
	<span class="hljs-attr">				},</span>
	<span class="hljs-attr">			"cityName": null,</span>
	<span class="hljs-attr">			"address": "Jakarta",</span>
	<span class="hljs-attr">			"postalCode": null,</span>
	<span class="hljs-attr">			"email": null</span>
	<span class="hljs-attr">			},</span>
	<span class="hljs-attr">	"beneficiary":{</span>
	<span class="hljs-attr">		"id": "CID0095210",</span>
	<span class="hljs-attr">		"firstName": "Beneficiary",</span>
	<span class="hljs-attr">		"lastName": "ABC Corp (TEST)",</span>
	<span class="hljs-attr">		"personalIdType": null,</span>
	<span class="hljs-attr">		"personalId": null,</span>
	<span class="hljs-attr">		"phoneNumber": "0-000-000000",</span>
	<span class="hljs-attr">		"gender": "MALE",</span>
	<span class="hljs-attr">	"country":{</span>
	<span class="hljs-attr">		"code": "ID", </span>
	<span class="hljs-attr">		"name": "Indonesia", </span>
	<span class="hljs-attr">		"currency":{</span>
	<span class="hljs-attr">			"code": "IDR"</span>
	<span class="hljs-attr">			},</span>
	<span class="hljs-attr">		"cityName": null,</span>
	<span class="hljs-attr">		"address": "Jakarta",</span>
	<span class="hljs-attr">		"postalCode": null,</span>
	<span class="hljs-attr">		"email": null</span>
	<span class="hljs-attr">		},</span>
	<span class="hljs-attr">	"fund":{</span>
	<span class="hljs-attr">		"origin":{</span>
	<span class="hljs-attr">			"country":{</span>
	<span class="hljs-attr">				"code": "ID",</span>
	<span class="hljs-attr">				"name": "Indonesia",</span>
	<span class="hljs-attr">				"currency":{"code": "IDR"}</span>
	<span class="hljs-attr">				},</span>
	<span class="hljs-attr">			"currency": "IDR",</span>
	<span class="hljs-attr">			"amount": 473750</span>
	<span class="hljs-attr">			},</span>
	<span class="hljs-attr">		"destination":{</span>
	<span class="hljs-attr">			"country":{</span>
	<span class="hljs-attr">				"code": "ID",</span>
	<span class="hljs-attr">				"name": "Indonesia",</span>
	<span class="hljs-attr">				"currency":{"code": "IDR"}</span>
	<span class="hljs-attr">				},</span>
	<span class="hljs-attr">			"currency": "IDR",</span>
	<span class="hljs-attr">			"amount": 473750</span>
	<span class="hljs-attr">			},</span>
	<span class="hljs-attr">		"fees":{</span>
	<span class="hljs-attr">			"total": 6500,</span>
	<span class="hljs-attr">			"currency": "IDR",</span>
	<span class="hljs-attr">			"components":{</span>
	<span class="hljs-attr">				"description": null,</span> 
	<span class="hljs-attr">				"amount": 6500</span>
	<span class="hljs-attr">				}</span>
	<span class="hljs-attr">			}</span>
	<span class="hljs-attr">		}</span>
	<span class="hljs-attr">	},</span>
	<span class="hljs-attr">	"transactionlog":{</span>
	<span class="hljs-attr">		"status": 0,</span>
	<span class="hljs-attr">		"statusMessage": "Processed",</span>
	<span class="hljs-attr">		"referenceStatus": "00",</span>
	<span class="hljs-attr">		"referenceMessage": "Transfer Approve",</span>
	<span class="hljs-attr">		"channelCode": "07"</span>
	<span class="hljs-attr">		}</span>
	<span class="hljs-attr">	},</span>
	<span class="hljs-attr">	"status": 0,</span>
	<span class="hljs-attr">	"message": "Transaction info success"</span>
	<span class="hljs-attr">	}</span>
	</span>


</code></pre>


			<table>
				<thead>
					<tr>
						<th>Field Name</th>
						<th>Content Type</th>
						<th>Mandatory / Not</th>
						<th>Description</th>
						<th>Example</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>Content-Type</td>
						<td>String</td>
						<td>Mandatory</td>
						<td>The Content-Type field indicates that JSON type is <br>
							acceptable to send to the recipient</td>
						<td>application/json</td>
					</tr>
			
					<tr>
						<td>requestId</td>
						<td>String</td>
						<td>Mandatory</td>
						<td>Unique reference identification send by API partner</td>
						<td>"fd53b1e3-9c35-4dfa-a95c-a8dbc5695485"</td>
					</tr>

					<tr>
						<td>agentKey</td>
						<td>String</td>
						<td>Mandatory</td>
						<td>Hash key of authorization agent</td>
						<td>"A41418"</td>
					</tr>

					<tr>
						<td>signature</td>
						<td>ENC</td>
						<td>Mandatory</td>
						<td>Uniquely authorization code generated by partner <br>validate by KIRIMDOKU</td>
						<td>"c7gWWl1UEDpkO42/Ikqjd4G2crci/iaqzA<br>ylLzkQC0Ua94iF+IAv/wbhjWnwdcc9"</td>
					</tr>
				</tbody>
			</table>


<h3 id="body-transaction-info">REQUEST BODY</h3>

<blockquote>
<p>Failed Response Example</p>
</blockquote>

	<pre class="highlight JSON"><code>{
	<span class="hljs-attr">status</span> : <span class="hljs-number">9</span>,
	<span class="hljs-attr">message</span> : <span class="hljs-string">"Unathorized access"</span>
}

{
	<span class="hljs-attr">status</span> : <span class="hljs-number">11</span>,
	<span class="hljs-attr">message</span> : <span class="hljs-string">"Invalid parameters"</span>,
	<span class="hljs-attr">errors</span> : {
		[
			<span class="hljs-string">"Transaction id is invalid"</span>
		]
	}
}</code></pre>

			<table>
				<thead>
					<tr>
						<th>Field Name</th>
						<th>Content Type</th>
						<th>Mandatory / Not</th>
						<th>Description</th>
						<th>Example</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>transactionId</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td>You can fill transactionId by transactionId or inquiry.IdToken</td>
						<td>"I02852516927268" or "DK0826666"</td>
					</tr>
				</tbody>
			</table>


<h2 id="refund-notification">Refund Notification</h2>

<blockquote>
<p>Request Example performed by KIRIMDOKU to Partner</p>
</blockquote>

<pre class="highlight JSON"><code>{
	<span class="hljs-attr">"activityCode"</span> : <span class="hljs-string">"200"</span>,
	<span class="hljs-attr">"transactionId"</span> : <span class="hljs-string">"DK0802623"</span>,
	<span class="hljs-attr">"processDate"</span> :<span class="hljs-string">1548322727830</span>,
	<span class="hljs-attr">"message"</span> :<span class="hljs-string">"Transaction is refunded"</span>
}</code></pre>

<h3 id="refund">Refund Notifcation</h3>
			<table>
				<thead>
					<tr>
						<th>Endpoint</th>
						<th>HTTP Method</th>
						<th>Definition</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>Provided by partner</td>
						<td>POST</td>
						<td>Refund notify is sent if refund occured in KIRIMDOKU System.
				we will send it to the partner with the url that has been registered, and the notification will be done maximum 3 times or until the notification callback response is correct</td>
						<td></td>
					</tr>
				</tbody>
			</table>

<h3 id="header-refund">REQUEST HEADER</h3>
			<table>
				<thead>
					<tr>
						<th>Field Name</th>
						<th>Content Type</th>
						<th>Mandatory / Not</th>
						<th>Description</th>
						<th>Example</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>Content-Type</td>
						<td>String</td>
						<td>Mandatory</td>
						<td>The Content-Type field indicates that JSON type is <br>
							acceptable to send to the recipient</td>
						<td>application/json</td>
					</tr>
			
					<tr>
						<td>requestId</td>
						<td>String</td>
						<td>Mandatory</td>
						<td>Unique reference identification send by API partner</td>
						<td>"fd53b1e3-9c35-4dfa-a95c-a8dbc5695485"</td>
					</tr>

					<tr>
						<td>agentKey</td>
						<td>String</td>
						<td>Mandatory</td>
						<td>Hash key of authorization agent</td>
						<td>"A41418"</td>
					</tr>

					<tr>
						<td>signature</td>
						<td>ENC</td>
						<td>Mandatory</td>
						<td>Uniquely authorization code generated by partner <br>validate by KIRIMDOKU</td>
						<td>"c7gWWl1UEDpkO42/Ikqjd4G2crci/iaqz<br>AylLzkQC0Ua94iF+IAv/wbhjWnwdcc9"</td>
					</tr>
				</tbody>
			</table>

<h3 id="body-refund">REQUEST BODY</h3>
			<table>
				<thead>
					<tr>
						<th>Field Name</th>
						<th>Content Type</th>
						<th>Mandatory / Not</th>
						<th>Description</th>
						<th>Example</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>transactionId</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td>Transaction ID that and have been refunded by KIRIMDOKU</td>
						<td>"DK0802623"</td>
					</tr>
					<tr>
						<td>activityCode</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td>Specific notify code for refund activity</td>
						<td>"200"</td>
					</tr>
					<tr>
						<td>message</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td>Activity refund message</td>
						<td>"Transaction is refunded"</td>
					</tr>
					<tr>
						<td>processDate</td>
						<td>Numerical</td>
						<td>Mandatory</td>
						<td>Time and date notification in epoch format</td>
						<td>1548322727830</td>
						<td></td>
					</tr>
				</tbody>
			</table>

<h3 id="callback-refund-response-object">REFUND RESPONSE</h3>

<p>After partner received refund notification from KIRIMDOKU system, partner must response with the following specification	</p>

<blockquote>
<p>Response Example performed by Partner to KIRIMDOKU</p>
</blockquote>

<pre class="highlight JSON"><code>{
	<span class="hljs-attr">"status"</span> : <span class="hljs-string">"true"</span>,
	<span class="hljs-attr">"transactionId"</span> : <span class="hljs-string">"DK0802623"</span>,
	<span class="hljs-attr">"responseCode"</span> :<span class="hljs-string">"00"</span>,
	<span class="hljs-attr">"responseMessage"</span> :<span class="hljs-string">"Successfully processed"</span>
}</code>
</pre>

			<table>
				<thead>
					<tr>
						<th>Field Name</th>
						<th>Content Type</th>
						<th>Mandatory / Not</th>
						<th>Description</th>
						<th>Example</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>status</td>
						<td>Boolean</td>
						<td>Mandatory</td>
						<td>Boolean status responding to refund notification</td>
						<td>"true" when the notify is processed succesfully, "false" otherwise</td>
					</tr>
					<tr>
						<td>transactionId</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td>Transaction ID that is sent from KIRIMDOKU request notify</td>
						<td>"DK0802623"</td>
					</tr>
					<tr>
						<td>responseCode</td>
						<td>Numeric</td>
						<td>Mandatory</td>
						<td>Flagging code for respond notification activity refund</td>
						<td>"00" when the callback is processed succesfully, "01" when the callback had been processed before, other code when failed occured</td>
					</tr>
					<tr>
						<td>responseMessage</td>
						<td>Character</td>
						<td>Mandatory</td>
						<td>The message describing respond notification</td>
						<td>"Successfully processed"</td>
					</tr>
				</tbody>
			</table>


<h1 id="api-response">API Response</h1>

<h2 id="status-code">Response Status</h2>

				<table>
					<thead>
						<tr>
							<th>Status</th>
							<th>Description</th>
							<th>Examples</th>
						</tr>
					</thead>
					<tbody>
						<tr>
							<td>-1</td>
							<td>Indicate a default status error code</td>
							<td>Internal engine error / Temporary unavailable / Unreachable access gateway</td>
						</tr>
						<tr>
							<td>0</td>
							<td>Indicate API Call is performed successfully</td>
							<td>OK / Success Queued</td>
						</tr>
						<tr>
							<td>9</td>
							<td>Request header parameters is incorrect</td>
							<td>Unathorized access</td>
						</tr>
						<tr>
							<td>1</td>
							<td>Request body/header parameters is missing</td>
							<td>Required field 'agentKey', Required field 'inquiry.Idtoken'</td>
						</tr>
						<tr>
							<td>2</td>
							<td>Request body/header parameter type is invalid</td>
							<td>Parameter 'requestId' must has alphanumeric key, field 'sender.amount' has invalid numeric types</td>
						</tr>
						<tr>
							<td>11</td>
							<td>Request body/header parameter is invalid</td>
							<td>Parameters for 'agentId' is invalid, parameters 'status' shall be one of 'succeed', 'failed' or pending</td>
						</tr>
						<tr>
							<td>12</td>
							<td>Some parameters are illegal/not allowed</td>
							<td>illegal character on parameter 'password', illegal code for reference transaction</td>
						</tr>
						<tr>
							<td>13</td>
							<td>Security issue denied</td>
							<td>Parameters 'signature' and/or 'agentKey' is denied, please contact platform administrator</td>
						</tr>
						<tr>
							<td>16</td>
							<td>Missing configuration</td>
							<td>Fee for channel Bank Deposit has not been set</td>
						</tr>
						<tr>
							<td>21</td>
							<td>Record not found</td>
							<td>transactionId not found / Data members are not found</td>
						</tr>
						<tr>
							<td>55</td>
							<td>Internal connection timeout, balance has been deducted</td>
							<td>Transaction status is pending</td>
						</tr>
						<tr>
							<td>91</td>
							<td>Access blocked/denied</td>
							<td>Access are blocked permanently</td>
						</tr>
						<tr>
							<td>41</td>
							<td>Rejected by Doku</td>
							<td>Caused by several reasons: Transfer to the same beneficiary and amount within a minute, 
							Transfer to the same beneficiary up to IDR 100 million/ day or 50 times/day,
							Transfer to the same beneficiary up to IDR 1 billion / month or 200 times/month.</td>
						</tr>
						<tr>
							<td>98</td>
							<td>Identical request is processed unsuccessfully</td>
							<td>Caused by previous account number has been rejected in the past 24 hour.</td>
						</tr>
						<tr>
							<td>97</td>
							<td>Account is Invalid</td>
							<td>Caused by merchant has received "Transfer Inquiry Decline" several times in the past 24 hour.</td>
						</tr>
					</tbody>
				</table>


<h2 id="status-transaction">Transaction Status</h2>

				<table>
					<thead>
						<tr>
							<th>Status</th>
							<th>Description</th>
						</tr>
					</thead>
					<tbody>
						<tr>
							<td>0</td>
							<td>Transaction status is unknown</td>
						</tr>
						<tr>
							<td>10</td>
							<td>Cash transfer transaction has been created</td>
						</tr>
						<tr>
							<td>20</td>
							<td>Bank / Wallet pending transaction, Doku need H+1 confirmation from bank to declared failed or success</td>
						</tr>
						<tr>
							<td>30</td>
							<td>Cash Transfer transaction has been locked</td>
						</tr>
						<tr>
							<td>35</td>
							<td>Transfer failed to be processed</td>
						</tr>
						<tr>
							<td>40</td>
							<td>Transaction has been refunded by KIRIMDOKU</td>
						</tr>
						<tr>
							<td>41</td>
							<td>Cash transfer transaction has been fully refunded</td>
						</tr>
						<tr>
							<td>50</td>
							<td>Transaction is sucessfully performed by KIRIMDOKU</td>
						</tr>
						<tr>
							<td>64</td>
							<td>Transaction is timeout by interswitch bank</td>
						</tr>
						<tr>
							<td>65</td>
							<td>Transaction is on process to change from pending to either success or failed.</td>
						</tr>
					</tbody>
				</table>

<h2 id="appendix">Appendix</h2>

<p>Here are some supporting information in order to implement KIRIMDOKU API.</p>

<h3 id="appendix-authorization">Request Header / Authorization</h3>
<p>This is a parameter sent to the API through HTTP Header on every call to the API.</p>

<h3 id="appendix-agentKey">Agent Key</h3>
<p>Identified with agentKey, is the most critical required parameters sent by partner to KIRIMDOKU system to identify who are the caller source are from, all activity surrounding KIRIMDOKU API must mentioning this parameters on each of partner call, otherwise partner will get authorization failure code. This key, is alphanumeric (with length of 6), are given only by KIRIMDOKU to the participated 3rd party based on agreement and submission on using its API. this single key is are fixed and will not change over time. Partner <strong>must not </strong>share this key to any other party.</p>

<h3 id="appendix-requestid">Request ID</h3>
<p>Identified by requestId, is unique-per-request per partner, with maximum length of 36 alphanumeric is intended for tracking callback of API system call between partner and KIRIMDOKU system, request id is generated by partner, an example of good requestId would be use UUID Generator, or mixed information of current dan and time until milisecond with some generic sequence or randomizer integer.</p>

<h3 id="appendix-signature">Signature Token Authorization</h3>
<p>Identified by signature, is a used to authorize and verify API caller. Authenticated
using encryption and hash API key. The key generator is like requestId parameter, which will be generated by partner and sent to the KIRIMDOKU throught parameter signature.
Signature key value is 36 alphanumeric maximum length, the value will be generated by partner to KIRIMDOKU API using specific algorithm based on the required api endpoint.</p>

<h2 id="list-supported-bank">List Supported Bank</h2>
<p>KIRIMDOKU API support transfer to over 70 bank in Indonesia. Please refer to below information regarding bank details: </p>
		<table>
			<thead>
				<tr>
					<th>Bank ID</th>
					<th>Bank Name</th>
					<th>Bank SWIFT Code</th>
				</tr>
			</thead>
		<tbody>
						
							<tr>
							<td>019</td>
							<td>BANK PANIN</td>
							<td>PINBIDJA</td>
							</tr>
							 <tr>
							<td>114</td>
							<td>Bank Jatim</td>
							<td>PDJTIDJ1</td>
							</tr>
							 <tr>
							<td>037</td>
							<td>BANK ARTA GRAHA</td>
							<td>ARTGIDJA</td>
							</tr>
							 <tr>
							<td>213</td>
							<td>Bank BTPN</td>
							<td>TAPEIDJ1</td>
							</tr>
							 <tr>
							<td>110</td>
							<td>Bank BJB</td>
							<td>PDJBIDJA</td>
							</tr>
							 <tr>
							<td>097</td>
							<td>BANK MAYAPADA INTERNATIONAL</td>
							<td>MAYAIDJA</td>
							</tr>
							 <tr>
							<td>013</td>
							<td>BANK PERMATA</td>
							<td>BBBAIDJA</td>
							</tr>
							 <tr>
							<td>014</td>
							<td>Bank BCA</td>
							<td>CENAIDJA</td>
							</tr>
							 <tr>
							<td>011</td>
							<td>BANK DANAMON INDONESIA</td>
							<td>BDINIDJA</td>
							</tr>
							 <tr>
							<td>484</td>
							<td>BANK HANA</td>
							<td>HNBNIDJA</td>
							</tr>
							 <tr>
							<td>016</td>
							<td>BII Maybank</td>
							<td>IBBKIDJA</td>
							</tr>
							 <tr>
							<td>153</td>
							<td>BANK SINARMAS</td>
							<td>SBJKIDJA</td>
							</tr>
							 <tr>
							<td>451</td>
							<td>BANK SYARIAH MANDIRI</td>
							<td>SYMDIDJ1</td>
							</tr>
							 <tr>
							<td>031</td>
							<td>CITIBANK</td>
							<td>CITIIDJX</td>
							</tr>
							 <tr>
							<td>536</td>
							<td>BANK BCA SYARIAH</td>
							<td>SYCAIDJ1</td>
							</tr>
							 <tr>
							<td>130</td>
							<td>Bank NTT</td>
							<td>PDNTIDJ1</td>
							</tr>
							 <tr>
							<td>506</td>
							<td>BANK SYARIAH MEGA</td>
							<td>BUTGIDJ1</td>
							</tr>
							 <tr>
							<td>128</td>
							<td>BPD NUSA TENGGARA BARAT</td>
							<td>PDNBIDJ1</td>
							</tr>
							 <tr>
							<td>008</td>
							<td>BANK MANDIRI</td>
							<td>BMRIIDJA</td>
							</tr>
							 <tr>
							<td>147</td>
							<td>BANK MUAMALAT INDONESIA</td>
							<td>MUABIDJA</td>
							</tr>
							 <tr>
							<td>009</td>
							<td>BANK BNI 46</td>
							<td>BNINIDJA</td>
							</tr>
							 <tr>
							<td>200</td>
							<td>Bank BTN</td>
							<td>BTANIDJA</td>
							</tr>
							 <tr>
							<td>046</td>
							<td>BANK DBS INDONESIA</td>
							<td>DBSBIDJA</td>
							</tr>
							 <tr>
							<td>022</td>
							<td>BANK CIMB NIAGA</td>
							<td>BNIAIDJA</td>
							</tr>
							 <tr>
							<td>950</td>
							<td>BANK COMMONWEALTH</td>
							<td>BICNIDJA</td>
							</tr>
							 <tr>
							<td>023</td>
							<td>BANK UOB BUANA INDONESIA</td>
							<td>BBIJIDJA</td>
							</tr>
							 <tr>
							<td>129</td>
							<td>BPD BALI</td>
							<td>PDBAIDJ1</td>
							</tr>
							 <tr>
							<td>028</td>
							<td>BANK OCBC NISP</td>
							<td>NISPIDJA</td>
							</tr>
							 <tr>
							<td>002</td>
							<td>Bank BRI</td>
							<td>BRINIDJA</td>
							</tr>
							 <tr>
							<td>426</td>
							<td>BANK MEGA</td>
							<td>MEGAIDJA</td>
							</tr>
							 <tr>
							<td>899</td>
							<td>DOKU</td>
							<td>899</td>
							</tr>
							 <tr>
							<td>441</td>
							<td>BANK BUKOPIN</td>
							<td>BBUKIDJA</td>
							</tr>
							 <tr>
							<td>041</td>
							<td>BANK HSBC</td>
							<td>HSBCIDJA</td>
							</tr>
							 <tr>
							<td>422</td>
							<td>BANK BRI SYARIAH</td>
							<td>DJARIDJ1</td>
							</tr>
							 <tr>
							<td>425</td>
							<td>BANK JABAR BANTEN SYARIAH</td>
							<td>SYJBIDJ1</td>
							</tr>
							<tr>
							<td>427</td>
							<td>Bank BNI Syariah</td>
							<td>SYNIIDJA</td>
							</tr>	
							<tr>
							<td>949</td>
							<td>Bank Chinatrust Indonesia</td>
							<td>CTCBIDJA</td>
							</tr>
							<tr>
							<td>553</td>
							<td>Bank Mayora</td>
							<td>MAYOIDJA</td>
							</tr>
							<tr>
							<td>095</td>
							<td>Bank Mutiara</td>
							<td>CICTIDJA</td>
							</tr>
							<tr>
							<td>118</td>
							<td>Bank Nagari (BPD Sumbar)</td>
							<td>PDSBIDSP</td>
							</tr>
							<tr>
							<td>503</td>
							<td>Bank National Nobu</td>
							<td>NOBUIDJA</td>
							</tr>
							<tr>
							<td>212</td>
							<td>Bank Saudara</td>
							<td>HVBKIDJA</td>
							</tr>
							<tr>
							<td>050</td>
							<td>Bank Standard Chartered</td>
							<td>SCBLIDJX</td>
							</tr>
							<tr>
							<td>117</td>
							<td>Bank Sumut</td>
							<td>PDSUIDSA</td>
							</tr>
							<tr>
							<td>036</td>
							<td>Bank Windu Kencana</td>
							<td>BWKIIDJA</td>
							</tr>
							<tr>
							<td>116</td>
							<td>BPD Aceh</td>
							<td>PDACIDJ1</td>
							</tr>
							<tr>
							<td>113</td>
							<td>BPD Jawa Tengah</td>
							<td>PDJGIDJA</td>
							</tr>
							<tr>
							<td>123</td>
							<td>BPD Kalimantan Barat</td>
							<td>PDKBIDJ1</td>
							</tr>
							<tr>
							<td>122</td>
							<td>BPD Kalimantan Selatan</td>
							<td>PDKSIDJ1</td>
							</tr>
							<tr>
							<td>124</td>
							<td>BPD Kalimantan Timur</td>
							<td>PDKTIDJA</td>
							</tr>
							<tr>
							<td>121</td>
							<td>BPD Lampung</td>
							<td>PDLPIDJ1</td>
							</tr>
							<tr>
							<td>119</td>
							<td>BPD Riau</td>
							<td>PDRIIDJA</td>
							</tr>
							<tr>
							<td>126</td>
							<td>BPD Sulawesi Selatan dan Barat</td>
							<td>PDWSIDJ1</td>
							</tr>
							<tr>
							<td>127</td>
							<td>BPD Sulawesi Utara</td>
							<td>PDWUIDJ1</td>
							</tr>
							<tr>
							<td>127</td>
							<td>BPD Sulawesi Utara</td>
							<td>PDWUIDJ1</td>
							</tr>
							<tr>
							<td>120</td>
							<td>BPD Sumatera Selatan</td>
							<td>BSSPIDSP</td>
							</tr>
							<tr>
							<td>112</td>
							<td>BPD Yogyakarta</td>
							<td>PDYKIDJ1</td>
							</tr>
							<tr>
							<td>785</td>
							<td>BTN SYARIAH</td>
							<td>BTANIDJA</td>
							</tr>
							<tr>
							<td>771</td>
							<td>DANAMON SYARIAH</td>
							<td>BDINIDJA</td>
							</tr>
							<tr>
							<td>067</td>
							<td>Deutsche Bank AG</td>
							<td>DEUTIDJA</td>
							</tr>
							<tr>
							<td>485</td>
							<td>ICB Bumiputera</td>
							<td>BUMIIDJA</td>
							</tr>
							<tr>
							<td>777</td>
							<td>MAYBANK INDONESIA SYARIAH</td>
							<td>MBBEIDJA</td>
							</tr>
							<tr>
							<td>947</td>
							<td>Maybank Syariah</td>
							<td>MBBEIDJA</td>
							</tr>
							<tr>
							<td>799</td>
							<td>OCBC NISP SYARIAH</td>
							<td>NISPIDJA</td>
							</tr>
							<tr>
							<td>784</td>
							<td>PERMATA SYARIAH</td>
							<td>BBBAIDJA</td>
							</tr>
							<tr>
							<td>167</td>
							<td>QNB Kesawan</td>
							<td>AWANIDJA</td>
							</tr>
							<tr>
							<td>089</td>
							<td>Rabobank</td>
							<td>RABOIDJA</td>
							</tr>
							<tr>
							<td>798</td>
							<td>SINARMAS SYARIAH</td>
							<td>SBJKIDJA</td>
							</tr>
					</tbody>
				</table>

<h1 id='version'>Version</h1><h2 id='document-version-2-0'>Document version 3.0</h2>
			
</div>
      <div class="dark-box">
          <div class="lang-selector">
                <a href="#" data-language-name="javascript">javascript</a>
                <a href="#" data-language-name="php">php</a>
                <a href="#" data-language-name="xml">xml</a>
          </div>
      </div>
	</div>
</body></html>